Bug 715436 (CVE-2011-2484) - CVE-2011-2484 kernel: taskstats: duplicate entries in listener mode can lead to DoS
Summary: CVE-2011-2484 kernel: taskstats: duplicate entries in listener mode can lead ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2484
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 715447 715448 715449 715450 715451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-22 21:55 UTC by Petr Matousek
Modified: 2019-09-29 12:45 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 12:48:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1253 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2011-09-12 19:43:48 UTC
Red Hat Product Errata RHSA-2011:1350 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-05 21:47:16 UTC
Red Hat Product Errata RHSA-2011:1386 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-10-20 17:28:15 UTC

Description Petr Matousek 2011-06-22 21:55:41 UTC
Currently a single process may register exit handlers unlimited times. It may lead to a bloated listeners chain and very slow process terminations. E.g. after 10KK sent TASKSTATS_CMD_ATTR_REGISTER_CPUMASKs ~300 Mb of kernel memory is stolen for the handlers chain and "time id" shows 2-7 seconds instead of normal 0.003.  It makes it possible to exhaust all kernel memory and to eat much of CPU time by triggerring numerous exits on a single CPU ie it makes it possible for unprivileged user eat kernel memory and CPU without triggering OOM killer.

Introduced in f9fd8914c1acca0d98b69d831b128d5b52f03c51.

References:
http://seclists.org/oss-sec/2011/q2/664
http://lists.openwall.net/linux-kernel/2011/06/16/605

Acknowledgements:                                                               

Red Hat would like to thank Vasiliy Kulikov of Openwall for reporting this issue.

Comment 3 Eugene Teo (Security Response) 2011-06-29 06:04:54 UTC
Upstream commit:
http://git.kernel.org/linus/26c4caea9d697043cc5a458b96411b86d7f6babd

Comment 4 Eugene Teo (Security Response) 2011-06-29 08:12:45 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat
Enterprise Linux 4 as it did not provide support for the Taskstats interface. This was fixed in Red Hat Enterprise Linux 5, 6, and Red Hat Enterprise MRG via https://rhn.redhat.com/errata/RHSA-2011-1386.html, https://rhn.redhat.com/errata/RHSA-2011-1350.html and https://rhn.redhat.com/errata/RHSA-2011-1253.html.

Comment 7 errata-xmlrpc 2011-09-12 19:45:44 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2011:1253 https://rhn.redhat.com/errata/RHSA-2011-1253.html

Comment 8 errata-xmlrpc 2011-10-05 21:47:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:1350 https://rhn.redhat.com/errata/RHSA-2011-1350.html

Comment 9 errata-xmlrpc 2011-10-20 17:28:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:1386 https://rhn.redhat.com/errata/RHSA-2011-1386.html


Note You need to log in before you can comment on or make changes to this bug.